@import url('https://fonts.googleapis.com/css2?family=Maven+Pro:wght@400;500;600;700&display=swap');
@font-face {
  font-family: 'Telecom';
  font-weight: 400;
  src: url('./fonts/Circular-Book.woff2') format('woff2');
}

@font-face {
  font-family: 'Telecom';
  font-weight: 600;
  src: url('./fonts/Circular-Medium.woff2') format('woff2');
}

@font-face {
  font-family: 'Telecom';
  font-weight: 800;
  src: url('./fonts/Circular-Bold.woff2') format('woff2');
}

@font-face {
  font-family: 'Telecom';
  font-weight: 400;
  src: url('./fonts/Circular-Book-Cyrillic.woff2') format('woff2');
}

@font-face {
  font-family: 'Telecom';
  font-weight: 600;
  src: url('./fonts/Circular-Medium-Cyrillic.woff2') format('woff2');
}

@font-face {
  font-family: 'Telecom';
  font-weight: 800;
  src: url('./fonts/Circular-Bold-Cyrillic.woff2') format('woff2');
}

* {
  box-sizing: border-box;
}

body {
  height: 100%;
  margin: 0;
  padding: 0;
  background-color: rgb(240, 242, 245) !important;
}

a {
  text-decoration: none;
}

.disabled {
  user-select: none;
  pointer-events: none;
  opacity: 0.6;
}

.disabled-input {
  user-select: none;
  pointer-events: none;
  background-color: #f5f5f5;
  color: rgba(0, 0, 0, 0.65) !important;
}

.hidden {
  display: none !important;
}

// antd input text
.ant-btn > i,
.ant-btn > span {
  text-transform: uppercase;
  font-size: 0.6964285714285714rem;
}

.ant-form-item-control {
  line-height: 1.5 !important;
}

.ant-tabs.ant-tabs-card > .ant-tabs-bar .ant-tabs-tab {
  min-width: 150px !important;
}
/* React Table - begin */
.rt-th:focus {
  outline: none !important;
}

.rt-th.rt-resizable-header {
  height: 55px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.rt-td {
  padding-left: 15px !important;
}

.cursor-pointer {
  cursor: pointer !important;
}

/* React Table - end */

/* Antd design - begin */

.ant-form-explain {
  font-size: 12px;
}

.ant-row.ant-form-item {
  margin-bottom: 5px;
}

.ant-pagination-options-size-changer.ant-select {
  margin-right: 0;
}

.ant-input-disabled,
.ant-pagination-disabled a,
.ant-pagination-disabled:hover a,
.ant-pagination-disabled:focus a,
.ant-pagination-disabled .ant-pagination-item-link,
.ant-pagination-disabled:hover .ant-pagination-item-link,
.ant-pagination-disabled:focus .ant-pagination-item-link {
  cursor: default;
}

.ant-form-item-label label:after {
  margin: 0 15px 0 2px;
}

.ant-calendar-picker {
  width: 100%;
}

.ant-upload.ant-upload-select-picture-card {
  margin-right: 0;
  margin-bottom: 0;
}

.ant-form-item-children {
  display: block;
}

.ant-upload.ant-upload-drag {
  background-color: #f5f5f5;
}

.ant-tabs-content {
  background-color: white;
  padding: 10px 20px 20px;
  border: 1px solid #d6d6d6;
  border-top: none;
  border-radius: 0 6px 6px 6px;
}

.ant-tabs-bar {
  margin: 0 !important;
}

.ant-tabs.ant-tabs-card > .ant-tabs-bar .ant-tabs-tab {
  border-radius: 6px 6px 0 0;
  font-weight: 400;
  font-size: 14px;
  text-transform: uppercase;
  min-width: 250px;
  text-align: center;
}

.ant-tabs-tab {
  color: rgba(0, 0, 0, 0.7);
}

.ant-calendar-picker-container {
  z-index: 1250 !important;
}

.ant-select-dropdown {
  z-index: 1206 !important;
}

/* Antd design - end */

.sd-active > div {
  background-color: #d6d6d6;
}

.errore_msg {
  color: red;
}

.fx-form {
  display: flex;
  width: 100%;
  align-items: center;

  div {
    margin: 2px;
  }

  input {
    width: 100% !important;
  }

  span {
    width: 100%;
  }
}

.images_baseStation {
  border: 1px solid #c7c7c7;
  border-radius: 4px;
}

.width_100 {
  width: 100% !important;
}

@media (min-width: 600px) {
  .SideBar-toolbar-9 {
    min-height: 55px !important;
  }

  .SideBar-drawerClose-8 {
    width: 56px !important;
  }

  .MuiToolbar-regular-49 {
    min-height: 55px !important;
    padding-right: 0 !important;
  }

  .MuiToolbar-gutters-49 {
    padding-right: 0 !important;
  }

  .MuiToolbar-regular-50 {
    min-height: 56px !important;
  }
}

.MuiToolbar-gutters-49 {
  padding-right: 0 !important;
}

.p_2 {
  padding: 2%;
}

/* Input loader indicator*/

.icon-container {
  position: absolute;
  right: 10px;
  top: calc(50% - 17px);
}

.loader {
  position: relative;
  height: 20px;
  width: 20px;
  display: inline-block;
  animation: around 5.4s infinite;
}

@keyframes around {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.loader::after,
.loader::before {
  content: '';
  background: white;
  position: absolute;
  display: inline-block;
  width: 100%;
  height: 100%;
  border-width: 2px;
  border-color: #333 #333 transparent transparent;
  border-style: solid;
  border-radius: 20px;
  box-sizing: border-box;
  top: 0;
  left: 0;
  animation: around 0.7s ease-in-out infinite;
}

.loader::after {
  animation: around 0.7s ease-in-out 0.1s infinite;
  background: transparent;
}

.upload-btn-wrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;
}

.btn {
  border-radius: 4px;
  border: 1px solid #c7c7c7;
  color: gray;
  background-color: white;
  padding: 5px 13px;
  font-size: 12px;
  font-weight: bold;
  cursor: pointer !important;
}

.btn-balloon {
  border-radius: 4px;
  border: 1px solid #c7c7c7;
  color: gray;
  background-color: white;
  padding: 3px 5px;
  font-size: 12px;
  font-weight: bold;
  cursor: pointer !important;
}

.btn-icon {
  border-radius: 4px;
  border: 1px solid #c7c7c7;
  color: gray;
  background-color: white;
  padding: 3px 8px;
  font-size: 12px;
  font-weight: bold;
  cursor: pointer !important;
}

.br4 {
  border-radius: 4px;
}

.br8 {
  border-radius: 8px;
}

textarea.wt-resize {
  resize: none;
}

.upload-btn-wrapper input[type='file'] {
  font-size: 100px;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
}

.ant-select-selection {
  border-radius: 8px !important;
  //height: 32px !important;
}

.ant-input {
  border-radius: 8px !important;
}

.gm-fullscreen-control {
  visibility: collapse !important;
}

.gmnoprint {
  visibility: collapse !important;
}

/*
Раздел карты гугл
 */

.gm-style .gm-style-iw-c {
  border-radius: unset;
  padding: 2px !important;
  font-size: 10px;
}

.markerInfo {
  font-size: 14px !important;
  color: black !important;
  padding-left: 10px;
  font-weight: 500;
}

.gm-style-iw-t {
  bottom: 28px !important;
}

/* width */
::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 1px #92999c;
  border-radius: 2px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgba(146, 153, 156, 0.45);
  border-radius: 2px;
}

.leaflet-container {
  height: 100%;
  width: 100%;
}

.swal-footer {
  background-color: rgb(245, 248, 250);
  margin-top: 32px;
  border-top: 1px solid #e9eef1;
  overflow: hidden;
}

.swal-button--confirm {
  padding: 7px 19px;
  border-radius: 2px;
  background-color: #5682a3;
  font-size: 12px;
  border: 1px solid #5682a3;
  text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.3);
}

.height-1 {
  height: 1px;
}

.height-100 {
  height: 100%;
}

.ant-select-dropdown {
  z-index: 1990 !important;
  border-radius: 8px !important;
}

.fw-500 {
  font-weight: 500;
}

#components-layout-demo-fixed .logo {
  width: 120px;
  height: 31px;
  background: rgba(255, 255, 255, 0.2);
  margin: 16px 24px 16px 0;
  float: left;
}

.ant-input {
  border-radius: 8px !important;
}

.MuiPaper-rounded {
  border-radius: 10px !important;
}

.ant-btn {
  border-radius: 8px !important;
  height: 36px;
}

/* Demo Only */
//button {
//  background: #517ea5;
//  border: none;
//  color: #fff;
//  font-size: 24px;
//  font-weight: 700;
//  border-radius: 30px;
//  padding: 10px 20px;
//  cursor: pointer;
//}


.fw-2 {
  font-weight: 200;
}
.fw-3 {
  font-weight: 300;
}
.fw-4 {
  font-weight: 400;
}
.fw-5 {
  font-weight: 500;
}
.fw-6 {
  font-weight: 600;
}
.fw-7 {
  font-weight: 700;
}
.fw-8 {
  font-weight: 800;
}

.fs-10 {
  font-size: 10px;
}
.fs-11 {
  font-size: 11px;
}
.fs-12 {
  font-size: 12px;
}
.fs-13 {
  font-size: 13px;
}
.fs-14 {
  font-size: 14px;
}
.fs-15 {
  font-size: 15px;
}
.fs-16 {
  font-size: 16px;
}
.fs-17 {
  font-size: 17px;
}
.fs-18 {
  font-size: 18px;
}
.fs-19 {
  font-size: 19px;
}
.fs-20 {
  font-size: 20px;
}
.fs-21 {
  font-size: 21px;
}
.fs-22 {
  font-size: 22px;
}
.fs-23 {
  font-size: 23px;
}
.fs-24 {
  font-size: 24px;
}
.fs-25 {
  font-size: 25px;
}
.fs-26 {
  font-size: 26px;
}
.fs-27 {
  font-size: 27px;
}
.fs-28 {
  font-size: 28px;
}
.fs-29 {
  font-size: 29px;
}
.fs-30 {
  font-size: 30px;
}